# merger Class Reference

Function for general combination of pdfs. More...

`#include <merger.h>`

Inheritance diagram for merger:

[legend]
Collaboration diagram for merger:

[legend]

List of all members.

## Public Member Functions
| merger (const Array< mpdf * > &in_sources)
| Default constructor.
virtual | ~merger ()
| for future use
double | evalpdflog (const vec &val) const
vec | samplecond (const vec &cond, double &ll)
| Returns the required moment of the epdf.
mat | samplecond (const vec &cond, vec &ll, int N)
| Returns.
virtual void | condition (const vec &cond)
| Update `ep` so that it represents this mpdf conditioned on `rvc` = cond.
virtual double | evalcond (const vec &dt, const vec &cond)
| Shortcut for conditioning and evaluation of the internal epdf. In some cases, this operation can be implemented efficiently.
RV | _rvc ()
| access function
RV | _rv ()
| access function
epdf & | _epdf ()
| access function
## Protected Attributes
enorm< fsqmat > | condpdf
| Additional pdf on the part in condition (if undefined);.
Array< ivec > | overlaps
| Find potential overlaps in rv.
int | n
Array< epdf * > | epdfs
Array< mpdf * > | mpdfs
Array< ivec > | rvinds
| Indeces of rvs in common rv.
Array< ivec > | rvcinrv
| Indeces of rvc in common rv.
Array< ivec > | rvcinds
| Indeces of rvc in common rvc.
RV | rv
| modeled random variable
RV | rvc
| random variable in condition
epdf * | ep
| pointer to internal epdf

## Detailed Description

Function for general combination of pdfs.

Parent of simple arithmentic or geometric combinations

## Constructor & Destructor Documentation

virtual merger::~merger | ( |  | ) | `[inline, virtual]`

for future use

sample from merged density weight w is a

## Member Function Documentation

vec mprod::samplecond | ( | const vec & | cond,
|  | double & | ll |
| ) |  |  | `[inline, virtual, inherited]`

Returns the required moment of the epdf.

Returns a sample from the density conditioned on `cond`, .

Parameters:

  | cond | is numeric value of `rv`
  | ll | is a return value of log-likelihood of the sample.

Reimplemented from mpdf.

References RV::count(), mpdf::rv, mprod::rvcinds, mprod::rvcinrv, and mprod::rvinds.

Referenced by mprod::samplecond().

mat mprod::samplecond | ( | const vec & | cond,
|  | vec & | ll,
|  | int | N |
| ) |  |  | `[inline, virtual, inherited]`

Returns.

Parameters:

  | N | samples from the density conditioned on `cond`, .
  | cond | is numeric value of `rv`
  | ll | is a return value of log-likelihood of the sample.

Reimplemented from mpdf.

References RV::count(), mpdf::rv, and mprod::samplecond().

The documentation for this class was generated from the following file:

- work/git/mixpp/bdm/stat/merger.h